## org.apache.poi.xslf.usermodel
Class XSLFRelation

    java.lang.Object
      org.apache.poi.POIXMLRelation
          org.apache.poi.xslf.usermodel.XSLFRelation

    @Beta
    public class XSLFRelation

extends POIXMLRelation

Field Summary
`protected static java.util.Map<java.lang.String,XSLFRelation>` `_table` A map to lookup POIXMLRelation by its relation type
`static XSLFRelation` `COMMENT_AUTHORS`
`static XSLFRelation` `COMMENTS`
`static XSLFRelation` `HYPERLINK`
`static XSLFRelation` `IMAGE_BMP`
`static XSLFRelation` `IMAGE_DIB`
`static XSLFRelation` `IMAGE_EMF`
`static XSLFRelation` `IMAGE_EPS`
`static XSLFRelation` `IMAGE_GIF`
`static XSLFRelation` `IMAGE_JPEG`
`static XSLFRelation` `IMAGE_PICT`
`static XSLFRelation` `IMAGE_PNG`
`static XSLFRelation` `IMAGE_TIFF`
`static XSLFRelation` `IMAGE_WMF`
`static XSLFRelation` `IMAGE_WPG`
`static XSLFRelation` `IMAGES`
`static XSLFRelation` `MACRO`
`static XSLFRelation` `MACRO_TEMPLATE`
`static XSLFRelation` `MAIN`
`static XSLFRelation` `NOTES`
`static XSLFRelation` `NOTES_MASTER`
`static XSLFRelation` `PRESENTATION_MACRO`
`static XSLFRelation` `PRESENTATIONML`
`static XSLFRelation` `PRESENTATIONML_TEMPLATE`
`static XSLFRelation` `SLIDE`
`static XSLFRelation` `SLIDE_LAYOUT`
`static XSLFRelation` `SLIDE_MASTER`
`static XSLFRelation` `TABLE_STYLES`
`static XSLFRelation` `THEME`
`static XSLFRelation` `THEME_MANAGER`
`static XSLFRelation` `VML_DRAWING`

Fields inherited from class org.apache.poi.POIXMLRelation
`_defaultName, _relation, _type`

Method Summary
`static XSLFRelation` `getInstance(java.lang.String rel)` Get POIXMLRelation by relation type

Methods inherited from class org.apache.poi.POIXMLRelation
`getContentType, getDefaultFileName, getFileName, getRelation, getRelationClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _table

    protected static java.util.Map<java.lang.String,XSLFRelation> _table

  A map to lookup POIXMLRelation by its relation type

### MAIN

    public static final XSLFRelation MAIN

### MACRO

    public static final XSLFRelation MACRO

### MACRO_TEMPLATE

    public static final XSLFRelation MACRO_TEMPLATE

### PRESENTATIONML

    public static final XSLFRelation PRESENTATIONML

### PRESENTATIONML_TEMPLATE

    public static final XSLFRelation PRESENTATIONML_TEMPLATE

### PRESENTATION_MACRO

    public static final XSLFRelation PRESENTATION_MACRO

### THEME_MANAGER

    public static final XSLFRelation THEME_MANAGER

### NOTES

    public static final XSLFRelation NOTES

### SLIDE

    public static final XSLFRelation SLIDE

### SLIDE_LAYOUT

    public static final XSLFRelation SLIDE_LAYOUT

### SLIDE_MASTER

    public static final XSLFRelation SLIDE_MASTER

### NOTES_MASTER

    public static final XSLFRelation NOTES_MASTER

### COMMENTS

    public static final XSLFRelation COMMENTS

### COMMENT_AUTHORS

    public static final XSLFRelation COMMENT_AUTHORS

### HYPERLINK

    public static final XSLFRelation HYPERLINK

### THEME

    public static final XSLFRelation THEME

### VML_DRAWING

    public static final XSLFRelation VML_DRAWING

### IMAGE_EMF

    public static final XSLFRelation IMAGE_EMF

### IMAGE_WMF

    public static final XSLFRelation IMAGE_WMF

### IMAGE_PICT

    public static final XSLFRelation IMAGE_PICT

### IMAGE_JPEG

    public static final XSLFRelation IMAGE_JPEG

### IMAGE_PNG

    public static final XSLFRelation IMAGE_PNG

### IMAGE_DIB

    public static final XSLFRelation IMAGE_DIB

### IMAGE_GIF

    public static final XSLFRelation IMAGE_GIF

### IMAGE_TIFF

    public static final XSLFRelation IMAGE_TIFF

### IMAGE_EPS

    public static final XSLFRelation IMAGE_EPS

### IMAGE_BMP

    public static final XSLFRelation IMAGE_BMP

### IMAGE_WPG

    public static final XSLFRelation IMAGE_WPG

### IMAGES

    public static final XSLFRelation IMAGES

### TABLE_STYLES

    public static final XSLFRelation TABLE_STYLES

Method Detail

### getInstance

    public static XSLFRelation getInstance(java.lang.String rel)

  Get POIXMLRelation by relation type

  Parameters:
    `rel` - relation type, for example, `http://schemas.openxmlformats.org/officeDocument/2006/relationships/image`
  Returns:
    registered POIXMLRelation or null if not found

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.